Get onboarding payload
curl --request GET \
--url https://staging-api.yourflexpay.com/v2/sso/create-tag/{onboarding} \
--header 'x-api-key: <api-key>' \
--header 'x-client-id: <api-key>'import requests
url = "https://staging-api.yourflexpay.com/v2/sso/create-tag/{onboarding}"
headers = {
"x-client-id": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-client-id': '<api-key>', 'x-api-key': '<api-key>'}};
fetch('https://staging-api.yourflexpay.com/v2/sso/create-tag/{onboarding}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"ref": "<string>",
"uid": "<string>",
"bvn": "<string>",
"nin": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"other_name": "<string>",
"gender": "Male",
"dob": "<string>",
"tag": "<string>",
"verification": {
"FirstName": "<string>",
"LastName": "<string>",
"OtherName": "<string>",
"Bvn": "<string>",
"PhoneNumber": "<string>",
"Email": "<string>",
"DOB": "<string>",
"Gender": "Male",
"Address": "<string>",
"Image": {
"url": "<string>",
"base64": "<string>"
},
"Provider": "<string>"
},
"ninVerification": {
"FirstName": "<string>",
"LastName": "<string>",
"OtherName": "<string>",
"Nin": "<string>",
"Email": "<string>",
"DOB": "<string>",
"Gender": "Male",
"Address": "<string>",
"Image": {
"url": "<string>",
"base64": "<string>"
},
"Provider": "<string>"
},
"bankAccount": {
"AccountName": "<string>",
"AccountNumber": "<string>",
"BankName": "<string>",
"BankCode": "<string>"
},
"address": {
"Address": "<string>",
"Landmark": "<string>",
"Utility": {
"url": "<string>",
"base64": "<string>"
}
},
"selfie": {
"url": "<string>",
"base64": "<string>"
},
"idDoc": {
"url": "<string>",
"base64": "<string>"
},
"email": "jsmith@example.com",
"phone": "<string>",
"providers": {},
"otp": {
"provider": "<string>",
"reference": "<string>",
"recipients": [
"<string>"
],
"validated": true
},
"phone_otp": {
"provider": "<string>",
"reference": "<string>",
"recipients": [
"<string>"
],
"validated": true
},
"email_otp": {
"provider": "<string>",
"reference": "<string>",
"recipients": [
"<string>"
],
"validated": true
},
"skip_otp": true,
"status": "<string>",
"kycReference": "<string>",
"timestamp": {
"created_at": 123,
"updated_at": 123,
"deleted_at": 123
}
}SSO Auth
Get onboarding payload
GET
/
sso
/
create-tag
/
{onboarding}
Get onboarding payload
Path Parameters
Response
200 - application/json
Onboarding payload
Available options:
Male, Female Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes